StdioMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.stdio.StdioMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.stdio
Class StdioMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.AbstractPollingMessageReceiver
                  org.mule.transport.stdio.StdioMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class StdioMessageReceiver

extends AbstractPollingMessageReceiver

`StdioMessageReceiver` is a listener for events from Mule components which then simply passes the events on to the target components.

Field Summary
`static int` | `DEFAULT_BUFFER_SIZE`

Fields inherited from class org.mule.transport.AbstractPollingMessageReceiver
`DEFAULT_POLL_FREQUENCY, DEFAULT_POLL_TIMEUNIT, DEFAULT_STARTUP_DELAY, schedules`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`StdioMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint, long checkFrequency)`

Method Summary
`void` | `doConnect()`
`void` | `doDisconnect()`
`protected void` | `doDispose()`
`int` | `getBufferSize()`
`InputStream` | `getInputStream()`
`void` | `poll()`
`void` | `setBufferSize(int bufferSize)`
`void` | `setInputStream(InputStream inputStream)`

Methods inherited from class org.mule.transport.AbstractPollingMessageReceiver
`createWork, doStart, doStop, getFrequency, getTimeUnit, schedule, setFrequency, setTimeUnit, unschedule`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Field Detail

### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

See Also:
  Constant Field Values

Constructor Detail

### StdioMessageReceiver

    public StdioMessageReceiver(Connector connector,
                                Service service,
                                InboundEndpoint endpoint,
                                long checkFrequency)
                         throws CreateException

Throws:
  `CreateException`

Method Detail

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

### doConnect

    public void doConnect()
                   throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    public void doDisconnect()
                      throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### poll

    public void poll()

  Specified by:
    `poll` in class `AbstractPollingMessageReceiver`

### getInputStream

    public InputStream getInputStream()

### setInputStream

    public void setInputStream(InputStream inputStream)

### getBufferSize

    public int getBufferSize()

### setBufferSize

    public void setBufferSize(int bufferSize)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.